# QueryStringBaseWindow Struct Reference

Inheritance diagram for QueryStringBaseWindow:

## Public Member Functions
| QueryStringBaseWindow (uint16 size)
void | DrawEditBox (int wid)
void | HandleEditBox (int wid)
HandleEditBoxResult | HandleEditBoxKey (int wid, uint16 key, uint16 keycode, EventState &state)
virtual void | OnOpenOSKWindow (int wid)
virtual void | OnOSKInput (int wid)
## Data Fields
char * | edit_str_buf
const uint16 | edit_str_size
| maximum length of string (in bytes), including terminating ''

## Detailed Description

Definition at line 62 of file querystring_gui.h.

The documentation for this struct was generated from the following files:

- src/querystring_gui.h
- src/misc_gui.cpp